Skip to content
Start here

Release messages from quarantine

POST/accounts/{account_id}/email-security/investigate/release

Releases a quarantined email message, allowing it to be delivered to the recipient.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
Path ParametersExpand Collapse
account_id: optional string

Account Identifier

maxLength32
minLength32
Body ParametersJSONExpand Collapse
body: array of string

A list of messages identfied by their postfix_ids that should be released.

ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, postfix_id, delivered, 2 more }
id: string
postfix_id: string

The identifier of the message.

delivered: optional array of string
failed: optional array of string
undelivered: optional array of string
success: boolean

Release messages from quarantine

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/investigate/release \
    -H 'Content-Type: application/json' \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
    -d '[
          "4Njp3P0STMz2c02Q"
        ]'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "postfix_id": "4Njp3P0STMz2c02Q",
      "delivered": [
        "string"
      ],
      "failed": [
        "string"
      ],
      "undelivered": [
        "string"
      ]
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "postfix_id": "4Njp3P0STMz2c02Q",
      "delivered": [
        "string"
      ],
      "failed": [
        "string"
      ],
      "undelivered": [
        "string"
      ]
    }
  ],
  "success": true
}